Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

Recent posts

#31
Installation / Re: APTus AppCenter slow
Last post by duststuff - June 03, 2024, 02:48:02 AM
You're welcome, Henry; glad to hear you were able to identify the repo causing the slow-down. I've also noticed lately that the upgrade tool seems to have trouble connecting with the Skype repo. I also have a Proton VPN repo that's been giving me an error / warning about authentication because it can't find the signing key -- I've noticed that this repo was 'updated' in more than one upgrade session, but the problem persists. So far I haven't taken the time to trouble-shoot either of these issues. I think sometimes what happens with these third-party repos is that something gets changed on their side that requires a change on a user's system. This might normally get fixed by the Sparky developers via an update/upgrade once they're aware of it and have the time to address it, but it may also be possible for a user to fix it themselves if they already have or are willing to search for the knowledge they need to do so. With Skype, if you want more control and awareness on how it gets installed and updated, you can also do the install yourself (instructions on Skype website in my post below, although you may want to make some adjustments to avoid errors or to suit your own tastes, as they may be a bit out-of-date) rather than doing it through the APTus AppCenter.
#32
Newbie questions / [SOLVED] System freezes on reb...
Last post by one23 - June 02, 2024, 11:36:25 PM
Hello,

I have freshly installed Sparky Linux MinimalCLI 7.3 with up to date system and running on 6.1.0-21-amd64 kernel.

The trouble is that for some reason every time I reboot system with sudo reboot it freezes on reboot. The last message I can see says something about ethernet link being down. I must power off machine twice as the first time I get only blinking cursor.

Which logs would show what is happening during reboot?

Thanks in advance.
#33
Installation / Re: APTus AppCenter slow
Last post by Henry1 - June 02, 2024, 05:34:27 PM
Hi Dustin,

From your suggestion I checked the repositories and I think the problem is https://repo.skype.com/deb/ stable main enabled as disabling it, APTus and System Upgrade tool are very fast now...The warning says: Impossible to recover https://repo.skype.com/deb/dists/stable/InRelease  504  Gateway Time-out [IP: 2.20.156.179 443]

I'll keep you updated...

Thank you for your help, Dustin.

Henry
#34
Installation / Re: APTus AppCenter slow
Last post by duststuff - June 02, 2024, 03:56:02 PM
Hi Henry, :-)

I'm not Pavroo, but a few days ago or so I had a 200+ MB update take about 1.5 - 2 hours instead of the usual 1-3 minutes or so, but since then things have been back to normal. Not sure what the cause was, but I think it was mainly two packages that made up most/all of the download, each one around 100+ MB. One was from a third-party repo and the other was most likely from the Sparky repo. My guess is that there was something wrong on a server hosting a repo or somewhere on the route in-between that was slowing things down.

If this persists for you, I would look into seeing if it's possible to switch one or more of your repos over to a mirror that's more local for you to see if that helps. I 'think' this is possible to do with Sparky, but haven't looked into it yet myself. If it is possible, I'm also not sure if it can be done through a more user-friendly GUI, or whether it would take some terminal commands, etc. You may also find it helpful to figure out if the slow-down is the result of only one/some repos on your system (you can search online for how to view the history of your package manager if you don't know how to do that). Also, for Pavroo or others to give more specific help, it would be helpful if you post your repo information within code markers copy/pasted from the output of
inxi -r as well as mentioning what package(s) you were downloading from what repo(s) during the time that it was relatively slow for you (if you're able to figure that out). It could be just a temporary glitch, but I'm guessing it's some sort of internet-related problem rather than a Sparky problem.

Hope that helps,
Dustin
#35
Installation / APTus AppCenter slow <SOLVED>
Last post by Henry1 - June 02, 2024, 12:33:13 PM
Hi Pavroo,

I am on Sparkylinux 7.3 XFCE; in the last few days APTus AppCenter takes nearly 2 minutes to update packages the same as the System Upgrade tool when before they took about 20-25 seconds, has something changed recently or is a problem of mine?

Thank you
Henry
#36
Desktops / Re: No background setting in M...
Last post by Splinx64 - June 01, 2024, 10:40:30 AM
Hello again,

of course, I also tried to change the background image with a few of gsettings and dconf write commands.
But, unfortunately, nothing of them helped.

How can I find, what is missing or not works?
#37
Installation / Re: Sparkylinux installation o...
Last post by duststuff - May 28, 2024, 06:39:59 AM
Hi, smarky. :-) Not sure on your Sparky version / setup or your proficiency with Linux, the command-line, etc., but here are some ideas that may help you move forward:

1. Check if your system has a GUI for audio settings; if so, see if there's anything there that might be relevant.

2. For the alsa-related things, it sounds like you just need to find out the right command and related syntax for whatever you want to try. I would start by first doing a search for related packages with the keyword 'alsa'. In the terminal it would be:apt search alsa | less(A search like this can often produce multiple pages of output, so I like to add '| less', which shows the first page and lets you navigate up and down through the output; once you're done, hitting 'Q' will take you back to the prompt.) In a package manager like 'Synaptic', there's usually a search function that you can use for this. With searches like this, it should show you the available packages related to alsa that are either installed or available to install from the standard repos. From these you should be able to clarify a bit more what you want / need to try, as well as figure out some keywords to search on your computer ('man' pages of installed programs) or online to figure out names of commands, related syntax, sample usage, etc.

3. Also, someone may be able to help you if you provide more information. When you're looking for help on this or other similar forums, it would be good for you to mention what version of OS (i.e. Sparky here) you're using along with the window manager (WM) and/or desktop environment (DE). You can use the command-line tool 'inxi' and its various options to generate general / specific / relevant information about your system that you can then copy from the terminal (Shift + Ctrl + C) and paste into your post here using the code markers for easier readability. (Hover over the icons above where you're writing till you see the one marked 'Code', click on that and it should give you code markers like this: "code""/code" except with bracket markers in place of the quote markers. Then just paste the inxi output from the terminal between the code markers so it will show up correctly [you can use the preview option to check it's working as expected].) The 'inxi' tool has lots of different options -- here is just one example:inxi -Frz(The '-F' option includes basic information for quite a few parts of your system, the '-r' option provides details on your repos, and the '-z' option filters out some things for privacy / security, which is probably a good idea when posting in public spaces like this forum.)
#38
Installation / Sparkylinux installation on ch...
Last post by smarky - May 28, 2024, 12:02:46 AM
Hello
I installed sparkylinux on an HP chromebook that had sound with MX Linux no problem but with only 16 gb of hard drive and no way to upgrade it I am trying sparky. I really like Sparky but I have no sound. I have looked all over and tried so many solutions for other distros with no success. Many of them said to
"sudo alsa force-reload" and all I get is "sudo: alsa: command not found" so I "sudo apt install alsa-base" but that says the latest alsa-base is already installed. If anyone knows a fix that  would be great. If you need any info let me know and I will post it.
Everything else seems to be working pretty good.
thanks
#39
Newbie questions / Re: How to disable natural scr...
Last post by cecca - May 27, 2024, 03:59:11 PM
Yes, of course. I've tried using the XFCE configuration but without any effort.
I've found a post suggesting to use dconf-editor: nothing also with this editor.

As soon as I close the window after disabling the scroll I've found that my settings are not saved.
I haven't tried to connect a mouse in order to check if there will be some difference, but I dont think so.

At first I've tried using KDE (before starting from scratch with XFCE) and with this DM everything went fine.

The only drawbacks I've found on XFCE are this natural scrolling issue and the impossibility to remove the trash icon from the desktop (in this case no settings available to remove this icon)
#40
Newbie questions / Re: How to disable natural scr...
Last post by penguin - May 27, 2024, 12:14:47 PM
Have you googled to find an solution ...?

example

https://askubuntu.com/questions/690512/how-to-enable-natural-scrolling-in-xfce4

View the most recent posts on the forum